function [ PredTotal ] = adaboost_predict( X, model )
%ADABOOST_PREDICT Summary of this function goes here
%   X - Nxdim matrix, N samples with dim properties each
%   model.basisFuns - the trained weak classifiers
%   model.funsWeights - the weights of the weak classifiers
%
%   P - Nx1 vector, the predicted labels of the samples
 

M = length(model.basisFuns);

PredTotal = zeros(size(X,1), 1);
for m=1:M
    Ym = decisionstump_predict(X, model.basisFuns{m});
    alpham = model.funsWeights(m);
    PredTotal = PredTotal + alpham*Ym;
end

posIdx = (PredTotal > 0);
PredTotal(posIdx) = 1;
PredTotal(~posIdx) = -1;



end

